server.modules = ( "mod_rewrite", "mod_access", "mod_fastcgi", "mod_accesslog" )

server.errorlog = "/var/log/lighttpd.error.log"
accesslog.filename = "/var/log/lighttpd.access.log"
server.pid-file = "/var/run/lighttpd.pid"

server.event-handler = "freebsd-kqueue"
server.use-ipv6 = "enable"
server.username = "www"
server.groupname = "www"

index-file.names = ( "index.html", "index.htm", "default.htm", "dispatch.fcgi" )
static-file.exclude-extensions = ( ".php", ".pl", ".fcgi", ".cgi", ".rb" )
url.access-deny = ( "~", ".inc" )

server.document-root = "/usr/local/www/danbooru/public/"
server.error-handler-404 = "/dispatch.fcgi"
fastcgi.server = ( ".fcgi" =>
	( "localhost" =>
		(
			"socket" => "/tmp/lighttpd.danbooru.socket",
			"bin-path" => "/usr/local/www/danbooru/public/dispatch.fcgi",
			"min-procs" => 2,
			"max_procs" => 4,
			"bin-environment" => ( "RAILS_ENV" => "production" )
		)
	)
)

mimetype.assign = (
	".pdf" => "application/pdf",
	".sig" => "application/pgp-signature",
	".spl" => "application/futuresplash",
	".class" => "application/octet-stream",
	".ps" => "application/postscript",
	".torrent" => "application/x-bittorrent",
	".dvi" => "application/x-dvi",
	".gz" => "application/x-gzip",
	".pac" => "application/x-ns-proxy-autoconfig",
	".swf" => "application/x-shockwave-flash",
	".tar.gz" => "application/x-tgz",
	".tgz" => "application/x-tgz",
	".tar" => "application/x-tar",
	".zip" => "application/zip",
	".mp3" => "audio/mpeg",
	".m3u" => "audio/x-mpegurl",
	".wma" => "audio/x-ms-wma",
	".wax" => "audio/x-ms-wax",
	".ogg" => "application/ogg",
	".wav" => "audio/x-wav",
	".gif" => "image/gif",
	".jar" => "application/x-java-archive",
	".jpg" => "image/jpeg",
	".jpeg" => "image/jpeg",
	".png" => "image/png",
	".xbm" => "image/x-xbitmap",
	".xpm" => "image/x-xpixmap",
	".xwd" => "image/x-xwindowdump",
	".css" => "text/css",
	".html" => "text/html",
	".htm" => "text/html",
	".js" => "text/javascript",
	".asc" => "text/plain",
	".c" => "text/plain",
	".cpp" => "text/plain",
	".log" => "text/plain",
	".conf" => "text/plain",
	".text" => "text/plain",
	".txt" => "text/plain",
	".dtd" => "text/xml",
	".xml" => "text/xml",
	".mpeg" => "video/mpeg",
	".mpg" => "video/mpeg",
	".mov" => "video/quicktime",
	".qt" => "video/quicktime",
	".avi" => "video/x-msvideo",
	".asf" => "video/x-ms-asf",
	".asx" => "video/x-ms-asf",
	".wmv" => "video/x-ms-wmv",
	".bz2" => "application/x-bzip",
	".tbz" => "application/x-bzip-compressed-tar",
	".tar.bz2" => "application/x-bzip-compressed-tar",
	# default mime type
	"" => "application/octet-stream",
)